LibreOffice: com::sun::star::uno::TypeDescription Class Reference

LibreOffice LibreOffice 7.2 SDK C/C++ API Reference

Public Member Functions | List of all members
com::sun::star::uno::TypeDescription Class Reference

C++ wrapper for typelib_TypeDescription. More...

`#include <typedescription.hxx>`

## Public Member Functions
| TypeDescription (typelib_TypeDescription *pTypeDescr=NULL)
| Constructor: More...
| TypeDescription (typelib_TypeDescriptionReference *pTypeDescrRef)
| Constructor: More...
| TypeDescription (const css::uno::Type &rType)
| Constructor: More...
| TypeDescription (const TypeDescription &rDescr)
| Copy constructor: More...
| TypeDescription (rtl_uString *pTypeName)
| Constructor: More...
| TypeDescription (const ::rtl::OUString &rTypeName)
| Constructor: More...
| ~TypeDescription ()
| Destructor: releases type description. More...
TypeDescription & | operator= (typelib_TypeDescription *pTypeDescr)
| Assignment operator: acquires given type description and releases a set one. More...
TypeDescription & | operator= (const TypeDescription &rTypeDescr)
| Assignment operator: acquires given type description and releases a set one. More...
bool | equals (const typelib_TypeDescription *pTypeDescr) const
| Tests whether two type descriptions are equal. More...
bool | equals (const TypeDescription &rTypeDescr) const
| Tests whether two type descriptions are equal. More...
void | makeComplete () const
| Makes stored type description complete. More...
typelib_TypeDescription * | get () const
| Gets the UNacquired type description pointer. More...
bool | is () const
| Tests if a type description is set. More...

## Detailed Description

C++ wrapper for typelib_TypeDescription.

Constructors by name, type, type description reference will get the full type description.

See also
  typelib_TypeDescription

## Constructor & Destructor Documentation

## ◆ TypeDescription() [1/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | typelib_TypeDescription * | pTypeDescr = `NULL` | ) |
| inline

Constructor:

Parameters

  pTypeDescr | a type description

## ◆ TypeDescription() [2/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | typelib_TypeDescriptionReference * | pTypeDescrRef | ) |
| inline

Constructor:

Parameters

  pTypeDescrRef | a type description reference

## ◆ TypeDescription() [3/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | const css::uno::Type & | rType | ) |
| inline

Constructor:

Parameters

  rType | a type

## ◆ TypeDescription() [4/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | const TypeDescription & | rDescr | ) |
| inline

Copy constructor:

Parameters

  rDescr | another TypeDescription

## ◆ TypeDescription() [5/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | rtl_uString * | pTypeName | ) |
| inline

Constructor:

Parameters

  pTypeName | a type name

## ◆ TypeDescription() [6/6]

com::sun::star::uno::TypeDescription::TypeDescription | ( | const ::rtl::OUString & | rTypeName | ) |
| inline

Constructor:

Parameters

  rTypeName | a type name

## ◆ ~TypeDescription()

com::sun::star::uno::TypeDescription::~TypeDescription | ( |  | ) |
| inline

Destructor: releases type description.

## Member Function Documentation

## ◆ equals() [1/2]

bool com::sun::star::uno::TypeDescription::equals | ( | const TypeDescription & | rTypeDescr | ) | const
| inline

Tests whether two type descriptions are equal.

Parameters

  rTypeDescr | another type description

Returns
  true, if both type descriptions are equal, false otherwise

## ◆ equals() [2/2]

bool com::sun::star::uno::TypeDescription::equals | ( | const typelib_TypeDescription * | pTypeDescr | ) | const
| inline

Tests whether two type descriptions are equal.

Parameters

  pTypeDescr | another type description

Returns
  true, if both type descriptions are equal, false otherwise

## ◆ get()

typelib_TypeDescription * com::sun::star::uno::TypeDescription::get | ( |  | ) | const
| inline

Gets the UNacquired type description pointer.

Returns
  stored pointer of type description

## ◆ is()

bool com::sun::star::uno::TypeDescription::is | ( |  | ) | const
| inline

Tests if a type description is set.

Returns
  true, if a type description is set, false otherwise

## ◆ makeComplete()

void com::sun::star::uno::TypeDescription::makeComplete | ( |  | ) | const
| inline

Makes stored type description complete.

## ◆ operator=() [1/2]

TypeDescription & com::sun::star::uno::TypeDescription::operator= | ( | const TypeDescription & | rTypeDescr | ) |
| inline

Assignment operator: acquires given type description and releases a set one.

Parameters

  rTypeDescr | another type description

Returns
  this TypeDescription

## ◆ operator=() [2/2]

TypeDescription & com::sun::star::uno::TypeDescription::operator= | ( | typelib_TypeDescription * | pTypeDescr | ) |
| inline

Assignment operator: acquires given type description and releases a set one.

Parameters

  pTypeDescr | another type description

Returns
  this TypeDescription

The documentation for this class was generated from the following file:

- typelib/typedescription.hxx